package nckd.jxccl.hrmp.hbpm.plugin.form.hr;

import kd.bos.form.events.AfterDoOperationEventArgs;
import kd.bos.form.field.BasedataEdit;
import nckd.jxccl.hrmp.hbpm.common.hr.PositionBillConstant;

import java.util.EventObject;

/**
 * 岗位申请-岗位变更表单插件
 * @from: kd.hr.homs.formplugin.web.orgbatch.AdminOrgBatchDetailParentPlugin
 * @author: jtd
 * @date: 2025/12/28 15:47
 */
public class PosBillEntryChangeFormPlugin extends PosBillEntryUpdatePlugin {

    @Override
    public void initialize() {
        super.initialize();
        suffix = PositionBillConstant.CHANGE_TAG;
        lineSuffix = "_" + suffix;
    }

    @Override
    public void afterDoOperation(AfterDoOperationEventArgs afterDoOperationEventArgs) {
        suffix = PositionBillConstant.CHANGE_TAG;
        lineSuffix = "_" + suffix;
        super.afterDoOperation(afterDoOperationEventArgs);
    }

    @Override
    public void registerListener(EventObject e) {
        super.registerListener(e);

        BasedataEdit control = getView().getControl(PositionBillConstant.NCKD_PARENT);
        control.addBeforeF7SelectListener(this);
    }
}
